LDLIBS = -lCppUnitLite -lgccDriver -lstdc++ 
INCLUDE = c:/tools/CppUnitLite/TestHarness

DOTO = ExampleTests.o

test: CppUnitLiteTestMain 
	./CppUnitLiteTestMain 

all: 	$(DOTO) CppUnitLiteTestMain 

CPPFLAGS = -I ${INCLUDE}
LDFLAGS = -Lc:/tools/CppUnitLite/TestHarness -Lc:/tools/gccDriver

CppUnitLiteTestMain : CppUnitLiteTestMain.o $(DOTO)
	$(CC) -o CppUnitLiteTestMain $(LDFLAGS) $^ $(LOADLIBES) $(LDLIBS)

clean:	
	rm -f *.o
	
depend : 
	gcc -MM ${CPPFLAGS} *.cpp

